@import "../../../assets/styles/main.scss";

.AboutUsDetailSection {
  padding-bottom: 110px;
  position: relative;
  &::after {
    content: "";
    position: absolute;
    height: 189px;
    width: 228px;
    left: 0;
    top: -38px;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/downArrowPlan.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 1;
  }
  .AboutUsDetailDetailContainer {
    @include container-medium-1;
    display: flex;
    flex-flow: column;
    gap: 55px;
    position: relative;
    z-index: 9;
    .AboutUsBlockMainOdd {
      border-radius: 50px;
      background: #fff;
      .AboutBlockBannerImage {
        position: relative;
        border-radius: 50px;
        height: 670px;
        @include xxl {
          height: 640px;
        }
        @include xl {
          height: 600px;
        }
        @include lg {
          height: 500px;
        }
        img {
          width: 100%;
          height: 100%;
          border-radius: 50px;
        }
        .AboutBlockInnerContant {
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
          display: grid;
          gap: 41px;
          grid-template-columns: 1fr 500px ;
          width: 100%;
          padding: 60px;

          @include xl {
            padding: 50px;
            grid-template-columns: 1fr 460px;
            gap: 30px;
          }
          @include lg {
            padding: 40px;
            grid-template-columns: 1fr 370px ;
          }
          .aboutTextDetail {
            padding: 23px 50px;
            border-radius: 40px;
            background: #fff;
            display: flex;
            justify-content: center;
            align-items: center;
            @include lg {
              padding: 25px;
            }

            p {
              font-size: 24px;
              line-height: 175.023%;
              @include inter600;
              @include xxl{
                font-size: 22px;
              }
              @include xl {
                font-size: 19px;
              }
              @include lg {
                font-size: 18px;
              }
            }
          }
          .AboutBlockImage {
            border-radius: 40px;
            background: #fff;
            padding: 50px 30px;
            height: 550px;
            @include xxl{
              height: 530px;
            }
            @include xl{
              height: 500px;
            }
            @include lg {
              padding: 30px 30px;
              height: 420px;
            }
            img {
              width: 100%;
              height: 100%;
              object-fit: contain;
            }
          }
        }
      }
    }
    .AboutUsBlockMainEven {
      border-radius: 50px;
      background: #fff;
      .AboutBlockBannerImage {
        position: relative;
        border-radius: 50px;
        height: 670px;
        @include xxl {
          height: 640px;
        }
        @include xl {
          height: 600px;
        }
        @include lg {
          height: 500px;
        }
        img {
          width: 100%;
          height: 100%;
          border-radius: 50px;
        }
        .AboutBlockInnerContant {
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
          display: grid;
          gap: 41px;
          grid-template-columns: 500px 1fr;
          width: 100%;
          padding: 60px;

          @include xl {
            padding: 50px;
            grid-template-columns: 460px 1fr;
            gap: 30px;
          }
          @include lg {
            padding: 40px;
            grid-template-columns: 370px 1fr;
          }
          .aboutTextDetail {
            padding: 23px 50px;
            border-radius: 40px;
            background: #fff;
            display: flex;
            justify-content: center;
            align-items: center;
            @include lg {
              padding: 25px;
            }

            p {
              font-size: 24px;
              line-height: 175.023%;
              @include inter600;
              @include xxl{
                font-size: 22px;
              }
              @include xl {
                font-size: 19px;
              }
              @include lg {
                font-size: 18px;
              }
            }
          }
          .AboutBlockImage {
            border-radius: 40px;
            background: #fff;
            padding: 50px 30px;
            height: 550px;
            @include xxl{
              height: 530px;
            }
            @include xl{
              height: 500px;
            }
            @include lg {
              padding: 30px 30px;
              height: 420px;
            }
            img {
              width: 100%;
              height: 100%;
              object-fit: contain;
            }
          }
        }
      }
    }
  }
}
